<template>
  <main class="columns is-mobile is-multiline">
    <div class="column signin ">
      <div class="container">
        <slot name="partie-gauche-titre">
          <header>
            <img class="logo" src="/metiis-logotype-blanc-2.png" alt="metiis" />
          </header>
          <p class="is-size-4 is-italic has-text-weight-bold is-mobile">
            <em>« Un lien qui transforme le potentiel de la réserve en une force pour l’armée de terre. »</em>
          </p>
        </slot>
        <slot name="partie-gauche-boutton"></slot>
      </div>
    </div>
    <div class="column login ">
      <header>
        <nuxt-link :to="{ name: 'index' }"
          ><img class="logo" src="/metiis-logotype-bleu-clair.png" alt="metiis"
        /></nuxt-link>
      </header>
      <article>
        <slot name="partie-droite"></slot>
      </article>
      <footer>
        <ul class="mt-footer-login is-size-7">
          <li><nuxt-link :to="{ name: 'contact' }">Nous contacter</nuxt-link></li>
          <li><nuxt-link :to="{ name: 'mentions-legales' }">Mentions légales</nuxt-link></li>
          <li><nuxt-link :to="{ name: 'accessibilite' }">Accessibilité</nuxt-link></li>
        </ul>
      </footer>
    </div>
  </main>
</template>

<script>
export default {};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

main.columns {
  margin-top: 0;
  margin-bottom: 0;
}
.signin.column {
  display: flex;
  align-items: center;
}
.signin {
  flex-grow: 2.6;

  min-height: 100vh;

  background-image: url('/metiis-photo-connexion.jpg');
  background-position: left center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 2rem;

  color: white;

  .logo {
    height: 92px;
  }

  p {
    margin: 50px 0;
    font-weight: 300;
  }
}
h2 {
  font-weight: 200;
  font-size: 3rem;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
}

.login {
  flex-grow: 3;

  &.column {
    display: grid;
    grid-template-columns: minmax(65px, 0.8fr) 0.3fr 2fr 0.3fr minmax(65px, 0.8fr);
    grid-template-rows: 0.4fr 3fr 0.2fr;
    grid-template-areas:
      ' . . login . logo '
      ' . . login . .'
      ' . . footer . .';
    grid-gap: 0.5rem;
  }
  @media (max-width: 768px) {
    &.column {
      display: grid;
      grid-template-columns: 0.2fr 2fr 0.2fr;
      grid-template-rows: 0.4fr 3fr 0.2fr;
      grid-template-areas:
        ' . logo .'
        ' . login .'
        ' . footer .';
      grid-gap: 0.3rem;
    }
  }
  .forget-password {
    text-decoration: underline;
    font-size: $size-6;
  }

  a:not(.button) {
    color: $grey-dark;
  }
  header {
    align-self: center;
    justify-self: center;
    grid-area: logo;
  }
  article {
    grid-area: login;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;

    form {
      padding: 2em 0;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }

  footer {
    grid-area: footer;
    align-self: center;

    .mt-footer-login {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin-bottom: 2rem;

      a {
        margin-right: 0;
        white-space: nowrap;
      }
    }
  }

  h2 {
    color: $primary;
    padding-bottom: 1em;
    line-height: 1;

    &.mini-padding {
      padding-bottom: 0.3em;
    }
  }
  .button {
    margin-top: 3em;
    align-self: flex-start;
  }
  .button.is-secondary {
    margin-right: 1rem;
  }

  .logo {
    height: 27px;
    max-width: 65px;
  }
}
.container {
  max-width: 350px;
}
.login-container {
  display: flex;
  flex-direction: column;

  header img {
    height: 30px;
  }
}

/deep/ .input-login {
  display: flex;
  align-items: center;

  input {
    padding: 0.6em 1em;
    color: $grey-dark;
    box-shadow: none;
    border-color: $grey-light;

    height: auto;
  }

  span {
    top: auto !important;
  }
}
/deep/ .select-login {
  .field {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
  }

  .control {
    display: flex;
    flex-grow: 1;
    align-items: flex-start;
    justify-content: stretch;

    span.select {
      display: flex;
      height: auto;
      flex-grow: 1;

      select {
        padding: 0.6em 1em;
        color: $grey-dark;
        box-shadow: none;
        border-color: $grey-light;
        height: auto;
        max-height: none;
        flex-grow: 1;
      }
    }
  }
}
/deep/ input + span {
  & .mdi-eye-off,
  & .mdi-eye {
    color: $grey-dark;
  }
}

.login {
  order: 0;
}
.signin {
  order: 1;
}
main.columns.is-mobile.is-multiline {
  flex-direction: column;
}

@media screen and (min-width: 643px) {
  main.columns.is-mobile.is-multiline {
    flex-direction: row;
  }
  .login {
    order: unset;

    footer {
      .mt-footer-login {
        flex-direction: row;
        margin-bottom: 0;

        a {
          white-space: nowrap;
          margin-right: 5em;
        }
      }
    }
  }
  .signin {
    order: unset;
  }
  h2 {
    font-size: 3.625rem;
  }
}
#mtmodalNousContacter {
  color: $grey-dark;
  & strong {
    color: $grey-dark;
  }
}
.mailto {
  font-weight: bold;
  color: $soft-blue;
  &:hover {
    color: $periwinkle-blue;
  }
}
</style>
